Browse Source

build: 'guilemoduledir' honors $GUILE_EFFECTIVE_VERSION.

* configure.ac: Define 'guilemoduledir' as a function of
$GUILE_EFFECTIVE_VERSION.
gn-latest-20200428
Ludovic Courtès 4 years ago
parent
commit
301d73f68c
No known key found for this signature in database GPG Key ID: 90B11993D9AEBB5
1 changed files with 5 additions and 4 deletions
  1. +5
    -4
      configure.ac

+ 5
- 4
configure.ac View File

@@ -21,9 +21,6 @@ AC_USE_SYSTEM_EXTENSIONS
AM_GNU_GETTEXT([external])
AM_GNU_GETTEXT_VERSION([0.18.1])

guilemoduledir="${datarootdir}/guile/site/2.0"
AC_SUBST([guilemoduledir])

GUIX_SYSTEM_TYPE
GUIX_ASSERT_SUPPORTED_SYSTEM

@@ -77,7 +74,7 @@ m4_pattern_forbid([GUILE_MODULE_AVAILABLE])
m4_pattern_forbid([^GUILE_P$])

dnl Search for 'guile' and 'guild'. Prefer 2.0 until the 2.2 upgrade is
dnl complete.
dnl complete. This macro defines 'GUILE_EFFECTIVE_VERSION'.
GUILE_PKG([2.0 2.2])
GUILE_PROGS
if test "x$GUILD" = "x"; then
@@ -90,6 +87,10 @@ else
AC_MSG_WARN([Guile $GUILE_EFFECTIVE_VERSION is not fully supported!])
fi

dnl Installation directory for .scm and .go files.
guilemoduledir="${datarootdir}/guile/site/$GUILE_EFFECTIVE_VERSION"
AC_SUBST([guilemoduledir])

dnl guile-json is used for the PyPI package importer
GUILE_MODULE_AVAILABLE([have_guile_json], [(json)])
AM_CONDITIONAL([HAVE_GUILE_JSON], [test "x$have_guile_json" = "xyes"])


Loading…
Cancel
Save